[arch-commits] Commit in podsleuth/repos (3 files)
Jan de Groot
jgc at archlinux.org
Sat Apr 4 20:33:46 UTC 2009
Date: Saturday, April 4, 2009 @ 16:33:46
Author: jgc
Revision: 33821
Merged revisions 33729 via svnmerge from
svn+ssh://svn.archlinux.org/srv/svn-packages/podsleuth/trunk
........
r33729 | jgc | 2009-04-04 18:41:46 +0000 (Sat, 04 Apr 2009) | 1 line
upgpkg: podsleuth 0.6.4-1
........
Added:
podsleuth/repos/extra-i686/sg3_utils-1.26.patch
(from rev 33729, podsleuth/trunk/sg3_utils-1.26.patch)
Modified:
podsleuth/repos/extra-i686/ (properties)
podsleuth/repos/extra-i686/PKGBUILD
----------------------+
PKGBUILD | 17 +++++++++++------
sg3_utils-1.26.patch | 42 ++++++++++++++++++++++++++++++++++++++++++
2 files changed, 53 insertions(+), 6 deletions(-)
Property changes on: podsleuth/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
- /podsleuth/trunk:1-18808
+ /podsleuth/trunk:1-33819
Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD 2009-04-04 20:33:43 UTC (rev 33820)
+++ extra-i686/PKGBUILD 2009-04-04 20:33:46 UTC (rev 33821)
@@ -3,24 +3,29 @@
# Contributor: Hyperair <hyperair at gmail.com>
pkgname=podsleuth
-pkgver=0.6.3
+pkgver=0.6.4
pkgrel=1
pkgdesc="Tool to discover detailed information about Apple iPods"
arch=('i686' 'x86_64')
-url="http://www.banshee-project.org/PodSleuth"
+url="http://download.banshee-project.org/podsleuth/"
license=('MIT')
options=(!makeflags)
-depends=('ndesk-dbus>=0.6.0' 'sg3_utils' 'hal>=0.5.11')
+depends=('ndesk-dbus>=0.6.0' 'sg3_utils>=1.26' 'hal>=0.5.11')
replaces=('libipoddevice')
-source=(http://download.banshee-project.org/${pkgname}/${pkgname}-${pkgver}.tar.bz2)
-md5sums=('b5ee19f8a4eb8da8d600500df33eda87')
+source=(http://download.banshee-project.org/${pkgname}/${pkgname}-${pkgver}.tar.bz2
+ sg3_utils-1.26.patch)
+md5sums=('b51e7bc2dd3e2265e75a04fe35974c10'
+ 'de3b52555f18c503392e941faebc37e5')
build() {
export MONO_SHARED_DIR="${srcdir}/.wabi"
mkdir -p "${MONO_SHARED_DIR}"
cd "${srcdir}/${pkgname}-${pkgver}"
-
+ patch -Np1 -i "${srcdir}/sg3_utils-1.26.patch" || return 1
+ aclocal -I m4 || return 1
+ autoconf || return 1
+ automake || return 1
./configure --prefix=/usr || return 1
make || return 1
make DESTDIR="${pkgdir}" install || return 1
Copied: podsleuth/repos/extra-i686/sg3_utils-1.26.patch (from rev 33729, podsleuth/trunk/sg3_utils-1.26.patch)
===================================================================
--- extra-i686/sg3_utils-1.26.patch (rev 0)
+++ extra-i686/sg3_utils-1.26.patch 2009-04-04 20:33:46 UTC (rev 33821)
@@ -0,0 +1,42 @@
+diff -ru podsleuth-0.6.4.old/m4/podsleuth.m4 podsleuth-0.6.4/m4/podsleuth.m4
+--- podsleuth-0.6.4.old/m4/podsleuth.m4 2007-12-19 22:37:05.000000000 +0000
++++ podsleuth-0.6.4/m4/podsleuth.m4 2009-04-04 18:35:56.000000000 +0000
+@@ -32,8 +32,8 @@
+
+ AC_DEFUN([PODSLEUTH_CHECK_SGUTILS],
+ [
+- AC_CHECK_LIB(sgutils, sg_ll_inquiry, [],
+- AC_MSG_ERROR([Error! You need to have libsgutils.])
++ AC_CHECK_LIB(sgutils2, sg_ll_inquiry, [],
++ AC_MSG_ERROR([Error! You need to have libsgutils2.])
+ )
+ ])
+
+diff -ru podsleuth-0.6.4.old/src/PodSleuth/PodSleuth/ScsiReader.cs podsleuth-0.6.4/src/PodSleuth/PodSleuth/ScsiReader.cs
+--- podsleuth-0.6.4.old/src/PodSleuth/PodSleuth/ScsiReader.cs 2007-09-17 07:51:40.000000000 +0000
++++ podsleuth-0.6.4/src/PodSleuth/PodSleuth/ScsiReader.cs 2009-04-04 18:36:45.000000000 +0000
+@@ -50,7 +50,7 @@
+ }
+ }
+
+- [DllImport("libsgutils.so.1")]
++ [DllImport("libsgutils2.so.2")]
+ private static extern int sg_ll_inquiry(int sg_fd, int cmddt, int evpd, int pg_op,
+ IntPtr resp, int mx_resp_len, int noisy, int verbose);
+
+@@ -74,4 +74,4 @@
+ }
+ }
+ }
+-}
+\ No newline at end of file
++}
+diff -ru podsleuth-0.6.4.old/src/PodSleuth/PodSleuth.dll.config.in podsleuth-0.6.4/src/PodSleuth/PodSleuth.dll.config.in
+--- podsleuth-0.6.4.old/src/PodSleuth/PodSleuth.dll.config.in 2007-09-17 07:51:40.000000000 +0000
++++ podsleuth-0.6.4/src/PodSleuth/PodSleuth.dll.config.in 2009-04-04 18:36:29.000000000 +0000
+@@ -1,4 +1,4 @@
+ <configuration>
+- <dllmap dll="libsgutils.so.1" target="libsgutils.so.1" />
++ <dllmap dll="libsgutils2.so.2" target="libsgutils2.so.2" />
+ </configuration>
+
More information about the arch-commits
mailing list